Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class DeleteDBSnapshotRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.DeleteDBSnapshotRequest

    public class DeleteDBSnapshotRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DeleteDBSnapshot operation`.

This API is used to delete a DBSnapshot. The DBSnapshot must be in the "available" state to be deleted.

See Also:
  `AmazonRDS.deleteDBSnapshot(DeleteDBSnapshotRequest)`

Constructor Summary
`DeleteDBSnapshotRequest()`

Method Summary
`String` | `getDBSnapshotIdentifier()` The DBSnapshot identifier.
`void` | `setDBSnapshotIdentifier(String dBSnapshotIdentifier)` The DBSnapshot identifier.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteDBSnapshotRequest` | `withDBSnapshotIdentifier(String dBSnapshotIdentifier)` The DBSnapshot identifier.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteDBSnapshotRequest

    public DeleteDBSnapshotRequest()

Method Detail

### getDBSnapshotIdentifier

    public String getDBSnapshotIdentifier()

  The DBSnapshot identifier.

  Returns:
    The DBSnapshot identifier.

### setDBSnapshotIdentifier

    public void setDBSnapshotIdentifier(String dBSnapshotIdentifier)

  The DBSnapshot identifier.

  Parameters:
    `dBSnapshotIdentifier` - The DBSnapshot identifier.

### withDBSnapshotIdentifier

    public DeleteDBSnapshotRequest withDBSnapshotIdentifier(String dBSnapshotIdentifier)

  The DBSnapshot identifier.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSnapshotIdentifier` - The DBSnapshot identifier.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.